ur_rna.GUITester.ScriptParser

## Class GuiTestScriptParserTokenManager

- java.lang.Object
- - ur_rna.GUITester.ScriptParser.GuiTestScriptParserTokenManager

- All Implemented Interfaces:
    GuiTestScriptParserConstants

      public class GuiTestScriptParserTokenManager
      extends java.lang.Object
      implements GuiTestScriptParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `curChar`
    `(package private) int` | `curLexState`
    `java.io.PrintStream` | `debugStream` debug output.
    `(package private) int` | `defaultLexState`
    `protected JavaCharStream` | `input_stream`
    `(package private) static long[]` | `jjbitVec0`
    `(package private) static long[]` | `jjbitVec2`
    `(package private) int` | `jjmatchedKind`
    `(package private) int` | `jjmatchedPos`
    `(package private) int` | `jjnewStateCnt`
    `(package private) static int[]` | `jjnextStates`
    `(package private) int` | `jjround`
    `private int[]` | `jjrounds`
    `private int[]` | `jjstateSet`
    `static java.lang.String[]` | `jjstrLiteralImages` Token literal values.
    `(package private) static long[]` | `jjtoSkip`
    `(package private) static long[]` | `jjtoSpecial`
    `(package private) static long[]` | `jjtoToken`
    `static java.lang.String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from interface ur_rna.GUITester.ScriptParser.GuiTestScriptParserConstants

      `ANCESTOR, ANDASSIGN, ARROW, ASSIGN, ASSIGN_REF, BIT_AND, BIT_NOT, BIT_OR, CHILD, COLON, COMMA, DECIMAL_LITERAL, DECR, DEFAULT, DESCENDANT, DIGIT, DIRECTIVE_PREFIX, DOT, EOF, EQ, ESC_CHAR, ESCAPED_CHAR, EXPONENT, FALSE, FLOAT_LITERAL, FLOAT_SUFFIX, GE, GT, HEX_CHAR, HEX_DIGIT, HEX_LITERAL, HOOK, IDENTIFIER, INCR, INT_SUFFIX, INTEGER_LITERAL, LBRACE, LBRACKET, LE, LETTER, LPAREN, LSHIFTASSIGN, LT, METHOD_PREFIX, MINUS, MINUSASSIGN, MOD, MULTI_LINE_COMMENT, NE, NEWLINE, NOT, NULL, OCTAL_LITERAL, ORASSIGN, PARENT, PLUS, PLUSASSIGN, POW, RBRACE, RBRACKET, REL_LABEL, REMASSIGN, RPAREN, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SIBLING, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STRING_CHAR, STRING_LITERAL, tokenImage, TRUE, UNICODE_CHAR, WORD_CHAR, WORD_START_CHAR, XOR, XORASSIGN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiTestScriptParserTokenManager(JavaCharStream stream)` Constructor.
    `GuiTestScriptParserTokenManager(JavaCharStream stream, int lexState)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `private void` | `jjAddStates(int start, int end)`
    `private static boolean` | `jjCanMove_0(int hiByte, int i1, int i2, long l1, long l2)`
    `private void` | `jjCheckNAdd(int state)`
    `private void` | `jjCheckNAddStates(int start, int end)`
    `private void` | `jjCheckNAddTwoStates(int state1, int state2)`
    `protected Token` | `jjFillToken()`
    `private int` | `jjMoveNfa_0(int startState, int curPos)`
    `private int` | `jjMoveStringLiteralDfa0_0()`
    `private int` | `jjMoveStringLiteralDfa1_0(long active0, long active1)`
    `private int` | `jjMoveStringLiteralDfa2_0(long old0, long active0, long old1, long active1)`
    `private int` | `jjMoveStringLiteralDfa3_0(long old0, long active0, long old1, long active1)`
    `private int` | `jjMoveStringLiteralDfa4_0(long old0, long active0, long old1, long active1)`
    `private int` | `jjStartNfa_0(int pos, long active0, long active1)`
    `private int` | `jjStartNfaWithStates_0(int pos, int kind, int state)`
    `private int` | `jjStopAtPos(int pos, int kind)`
    `private int` | `jjStopStringLiteralDfa_0(int pos, long active0, long active1)`
    `void` | `ReInit(JavaCharStream stream)` Reinitialise parser.
    `void` | `ReInit(JavaCharStream stream, int lexState)` Reinitialise parser.
    `private void` | `ReInitRounds()`
    `void` | `setDebugStream(java.io.PrintStream ds)` Set debug output.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### curChar

          protected char curChar

    - #### curLexState

          int curLexState

    - #### debugStream

          public java.io.PrintStream debugStream

      debug output.

    - #### defaultLexState

          int defaultLexState

    - #### input_stream

          protected JavaCharStream input_stream

    - #### jjbitVec0

          static final long[] jjbitVec0

    - #### jjbitVec2

          static final long[] jjbitVec2

    - #### jjmatchedKind

          int jjmatchedKind

    - #### jjmatchedPos

          int jjmatchedPos

    - #### jjnewStateCnt

          int jjnewStateCnt

    - #### jjnextStates

          static final int[] jjnextStates

    - #### jjround

          int jjround

    - #### jjrounds

          private final int[] jjrounds

    - #### jjstateSet

          private final int[] jjstateSet

    - #### jjstrLiteralImages

          public static final java.lang.String[] jjstrLiteralImages

      Token literal values.

    - #### jjtoSkip

          static final long[] jjtoSkip

    - #### jjtoSpecial

          static final long[] jjtoSpecial

    - #### jjtoToken

          static final long[] jjtoToken

    - #### lexStateNames

          public static final java.lang.String[] lexStateNames

      Lexer state names.

  - ### Constructor Detail

    - #### GuiTestScriptParserTokenManager

          public GuiTestScriptParserTokenManager(JavaCharStream stream)

      Constructor.

    - #### GuiTestScriptParserTokenManager

          public GuiTestScriptParserTokenManager(JavaCharStream stream,
                                                 int lexState)

      Constructor.

  - ### Method Detail

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

    - #### jjAddStates

          private void jjAddStates(int start,
                                   int end)

    - #### jjCanMove_0

          private static final boolean jjCanMove_0(int hiByte,
                                                   int i1,
                                                   int i2,
                                                   long l1,
                                                   long l2)

    - #### jjCheckNAdd

          private void jjCheckNAdd(int state)

    - #### jjCheckNAddStates

          private void jjCheckNAddStates(int start,
                                         int end)

    - #### jjCheckNAddTwoStates

          private void jjCheckNAddTwoStates(int state1,
                                            int state2)

    - #### jjFillToken

          protected Token jjFillToken()

    - #### jjMoveNfa_0

          private int jjMoveNfa_0(int startState,
                                  int curPos)

    - #### jjMoveStringLiteralDfa0_0

          private int jjMoveStringLiteralDfa0_0()

    - #### jjMoveStringLiteralDfa1_0

          private int jjMoveStringLiteralDfa1_0(long active0,
                                                long active1)

    - #### jjMoveStringLiteralDfa2_0

          private int jjMoveStringLiteralDfa2_0(long old0,
                                                long active0,
                                                long old1,
                                                long active1)

    - #### jjMoveStringLiteralDfa3_0

          private int jjMoveStringLiteralDfa3_0(long old0,
                                                long active0,
                                                long old1,
                                                long active1)

    - #### jjMoveStringLiteralDfa4_0

          private int jjMoveStringLiteralDfa4_0(long old0,
                                                long active0,
                                                long old1,
                                                long active1)

    - #### jjStartNfa_0

          private final int jjStartNfa_0(int pos,
                                         long active0,
                                         long active1)

    - #### jjStartNfaWithStates_0

          private int jjStartNfaWithStates_0(int pos,
                                             int kind,
                                             int state)

    - #### jjStopAtPos

          private int jjStopAtPos(int pos,
                                  int kind)

    - #### jjStopStringLiteralDfa_0

          private final int jjStopStringLiteralDfa_0(int pos,
                                                     long active0,
                                                     long active1)

    - #### ReInit

          public void ReInit(JavaCharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(JavaCharStream stream,
                             int lexState)

      Reinitialise parser.

    - #### ReInitRounds

          private void ReInitRounds()

    - #### setDebugStream

          public void setDebugStream(java.io.PrintStream ds)

      Set debug output.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.